## sagetex 3.0%2Bds

=== debian/changelog ===
sagetex (3.0+ds-6) unstable; urgency=medium

  * RC fix release (Closes: #891230), non-reproducible build.
  * Debianization:
    - debian/rules:
      - pkg-info.mk , now included;
      - environment variable FORCE_SOURCE_DATE set to 1 (see d/rules for
        the rational).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 23 Feb 2018 16:27:08 +0000

sagetex (3.0+ds-5) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - Format field, secure;
      - copyright year tuple, refresh;
    - debian/control:
      - debhelper, bump to 11 (adapt);
      - Standards Version, bump to 4.1.3 (no change);
      - Vcs-* fields, migration to salsa.debian.org ;
      - Priority field, from extra to optional;
    - debian/rules:
      - debhelper, bump to 11;
      - override_dh_auto_test target, filter nocheck;
      - get-orig-source target, compression option, move to d/watch ;
    - debian/watch:
      - options, compression, add;
    - debian/tests/*, introduce;
    - debian/adhoc/examples/Makefile, refresh and harden;
    - debian/README.Debian, spelling, correct.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 16 Feb 2018 20:11:37 +0000

sagetex (3.0+ds-4) unstable; urgency=medium

  * FTBFS fix release (Closes: #850929), DOT_SAGE is now specified (and placed
    outside HOME to please sbuild).
  * Debianization:
    - debian/rules, furnish DOT_SAGE (see above).

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 11 Jan 2017 12:23:29 +0000

sagetex (3.0+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - [Build-]Depends fields, uncomment sagemath dependency;
    - debian/patches/*:
      - d/p/debianization-experimental-neutralize.patch, discard;
      - d/p/upstream-update-documentation-URL_s.patch, import;
      - d/p/upstream-*.patch, introduce and submit;
      - d/p/debianization.patch, introduce;
      - d/p/debianization-examples.patch, uncomment TikZ material;
    - debian/rules, revisit (full docstrip machinery);
    - debian/README.Debian, introduce;
    - general enhancement.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 30 Dec 2016 15:11:18 +0000

sagetex (3.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 19 Dec 2016 00:13:02 +0000

sagetex (3.0+ds-1) experimental; urgency=medium

  * Initial release (Closes: #833822).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 14 Aug 2016 13:32:28 +0000
