=== debian/control ===
Source: sagetex
Section: tex
Priority: extra
Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
 debhelper (>= 9),
 dh-python, python,
 tex-common,
 texlive-latex-base, texlive-latex-recommended,
 texlive-latex-extra, texlive-pictures,
 sagemath, python-pyparsing
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Homepage: https://github.com/dandrake/sagetex
Vcs-Git: https://anonscm.debian.org/git/debian-tex/sagetex.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-tex/sagetex.git

Package: sagetex
Architecture: all
Depends:
 texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
 texlive-pictures, texlive-font-utils,
 imagemagick,
 python-sagetex (= ${source:Version}),
 ${misc:Depends}
Suggests: sagetex-doc (= ${source:Version})
Description: Embed Sage code and plots into LaTeX
 The SageTeX LaTeX package allows you to embed code, results of computations,
 and plots from the SageMath mathematics software suite into LaTeX documents.
 SageMath is an open-source Computer Algebra System (CAS).
 .
 This package provides the LaTeX package.

Package: python-sagetex
Section: python
Architecture: all
Depends: sagemath, ${python:Depends}, ${misc:Depends}
Recommends: sagetex (= ${source:Version})
Suggests: sagetex-doc (= ${source:Version})
Description: Embed Sage code and plots into LaTeX -- Python
 The SageTeX LaTeX package allows you to embed code, results of computations,
 and plots from the SageMath mathematics software suite into LaTeX documents.
 SageMath is an open-source Computer Algebra System (CAS).
 .
 This package provides the Python material that interact with SageMath.

Package: sagetex-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: pdf-viewer
Enhances: sagetex (= ${source:Version})
Description: Embed Sage code and plots into LaTeX -- doc
 The SageTeX LaTeX package allows you to embed code, results of computations,
 and plots from the SageMath mathematics software suite into LaTeX documents.
 SageMath is an open-source Computer Algebra System (CAS).
 .
 This package provides the documentation and sample material.
