=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_VERSION ?= $(shell python -c "import sys; print '%d.%d'%(sys.version_info[0],sys.version_info[1])")

UPS_DOCSTRIP_INS ?= sagetex.ins
DEB_DTX_DOCSTRIP_CFG_IN ?= debian/docstrip.cfg.in

DEB_TDS_BASEDIRECTORY        := $(shell sed -n 's|^\\BaseDirectory{./\(.*\)}|\1|p' $(DEB_DTX_DOCSTRIP_CFG_IN))
DEB_DTX_LISTOF_DECLAREDIR_IN := $(shell sed -n 's|^\\DeclareDir\*{[A-Z]*DIR}{./\(.*\)}|\1|p' $(DEB_DTX_DOCSTRIP_CFG_IN))
DEB_DTX_LISTOF_TDS_USEDIR    := $(shell sed -n 's|^\\usedir{\([a-z]*\)/\(.*\)}|\1/\2|p' $(UPS_DOCSTRIP_INS))

DEB_DTX_DOCSTRIP_CFG = _build/$(patsubst %.in,%,$(notdir $(DEB_DTX_DOCSTRIP_CFG_IN)))
DEB_DTX_LISTOF_DECLAREDIR = $(subst @PYTHON@,python$(DEB_PYTHON_VERSION),$(DEB_DTX_LISTOF_DECLAREDIR_IN))
DEB_DTX_LISTOF_TDS_USEDIR_TEX = $(strip $(filter tex/%,$(DEB_DTX_LISTOF_TDS_USEDIR)))
DEB_DTX_LISTOF_TDS_USEDIR_SCRIPTS = $(strip $(filter scripts/%,$(DEB_DTX_LISTOF_TDS_USEDIR)))

DEB_TEX_OPTS = -interaction batchmode

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with tex --with python2

override_dh_auto_build:
	$(MKDIR_P) $(dir $(DEB_DTX_DOCSTRIP_CFG))
	$(MKDIR_P) $(DEB_TDS_BASEDIRECTORY)
	$(MKDIR_P) $(DEB_DTX_LISTOF_DECLAREDIR)
	$(MKDIR_P) $(addprefix $(DEB_TDS_BASEDIRECTORY)/,$(DEB_DTX_LISTOF_TDS_USEDIR))
	sed -e 's|@PYTHON@|python'$(DEB_PYTHON_VERSION)'|g' $(DEB_DTX_DOCSTRIP_CFG_IN) > $(DEB_DTX_DOCSTRIP_CFG)
	echo "\PassOptionsToClass{a4paper}{article}" > $(dir $(DEB_DTX_DOCSTRIP_CFG))/ltxdoc.cfg
	TEXINPUTS=".:$(dir $(DEB_DTX_DOCSTRIP_CFG)):" $(INITEX) $(DEB_TEX_OPTS) $(UPS_DOCSTRIP_INS)
	$(if $(DEB_DTX_LISTOF_TDS_USEDIR_SCRIPTS),\
		chmod -vf 0755 $(addsuffix /*.py,$(addprefix $(DEB_TDS_BASEDIRECTORY)/,$(DEB_DTX_LISTOF_TDS_USEDIR_SCRIPTS))),@true)

DEB_DH_AUTO_TEST_DOT_SAGE = _test/DOT_SAGE
DEB_DH_AUTO_TEST_PKG_TEXINPUTS = $(subst $(EMPTY),:,$(addprefix $(DEB_TDS_BASEDIRECTORY)/,$(DEB_DTX_LISTOF_TDS_USEDIR_TEX)))
DEB_DH_AUTO_TEST_PKG_PYTHONPATH = $(subst $(EMPTY),:,$(DEB_DTX_LISTOF_DECLAREDIR))
DEB_DH_AUTO_TEST_MAKEFLAGS = TEXOPTS="$(DEB_TEX_OPTS)" TEXINPUTS=".:$(DEB_DH_AUTO_TEST_PKG_TEXINPUTS):$(dir $(DEB_DTX_DOCSTRIP_CFG)):"
DEB_DH_AUTO_TEST_MAKEFLAGS += PYTHONPATH=$(DEB_DH_AUTO_TEST_PKG_PYTHONPATH)
DEB_DH_AUTO_TEST_MAKEFLAGS += VPATH=$(DEB_DH_AUTO_TEST_PKG_TEXINPUTS):$(DEB_DH_AUTO_TEST_PKG_PYTHONPATH)
DEB_DH_AUTO_TEST_MAKEFLAGS += DOT_SAGE=$(DEB_DH_AUTO_TEST_DOT_SAGE)
override_dh_auto_test:
	$(MKDIR_P) $(DEB_DH_AUTO_TEST_DOT_SAGE)
	chmod -vf 0700 $(DEB_DH_AUTO_TEST_DOT_SAGE)
	$(MAKE) sagetex.pdf $(DEB_DH_AUTO_TEST_MAKEFLAGS)
	$(MAKE) example.pdf $(DEB_DH_AUTO_TEST_MAKEFLAGS)

override_dh_auto_install:
	@true

override_dh_install:
	dh_install --sourcedir=_build/DEBIAN

override_dh_installdocs:
	dh_installdocs --all debian/README.Debian

override_dh_compress:
	dh_compress -X.pdf -Xexamples

override_dh_auto_clean:
	$(MAKE) clean

get-orig-source:
	uscan --no-conf --download-current-version --compression xz --verbose

get-info:
	@echo "DEB_PYTHON_VERSION:         >$(DEB_PYTHON_VERSION)<"
	@echo "DEB_TDS_BASEDIRECTORY:      >$(DEB_TDS_BASEDIRECTORY)<"
	@echo "DEB_DTX_LISTOF_DECLAREDIR:  >$(DEB_DTX_LISTOF_DECLAREDIR)<"
	@echo "DEB_DTX_LISTOF_TDS_USEDIR:  >$(DEB_DTX_LISTOF_TDS_USEDIR)<"
	@echo "DEB_DTX_LISTOF_TDS_USEDIR_SCRIPTS: >$(DEB_DTX_LISTOF_TDS_USEDIR_SCRIPTS)<"


INITEX ?= /usr/bin/tex
MKDIR_P ?= /bin/mkdir -p

EMPTY :=
EMPTY +=
