=== debian/watch ===
version=4
opts=repack,dversionmangle=s/\+ds//,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sagetex-$1\.tar\.gz/ \
https://github.com/dandrake/sagetex/tags .*/v?(\d\S*)\.tar\.gz
