=== debian/changelog ===
sagetex (3.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/patches/*:
      - d/p/upstream-*.patch , integrated;
      - d/p/debianization.patch , explicitly use Python 2.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 06 Jan 2019 14:37:08 +0000

sagetex (3.0+ds-8) unstable; urgency=medium

  * FTBFS release fix:
    - provide MPLCONFIGDIR and MAXIMA_USERDIR besides DOT_SAGE (absolute paths),
      (Closes: #918342);
    - revisit install-docs policy, (Closes: #910415).
  * Debianization:
    - debian/rules:
      - override_dh_auto_test target, provide MPLCONFIGDIR and MAXIMA_USERDIR ;
      - override_dh_installdocs target, discard;
    - debian/sagetex{,-docs).docs, revisit.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 05 Jan 2019 13:20:11 +0000

sagetex (3.0+ds-7) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - Copyright year tuples, update;
    - debian/adhoc/examples/Makefile, year tuple, update;
    - debian/control:
      - debhelper, bump to 12 (no change);
      - Standards Version, bump to 4.1.3 (no change);
    - debian/rules:
      - DEB_PYTHON_VERSION variable, explicitly Python version 2;
      - get-orig-source target, discard;
    - debian/tests/*:
      - d/t/compose-examples, now use AUTOPKGTEST_TMP .

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 04 Jan 2019 19:36:23 +0000
