## sagetex 3.2%2Bds

=== debian/changelog ===
sagetex (3.2+ds-2) unstable; urgency=medium

  * FTBFS bug fix release, now Depends on python-tk (Closes: #921120).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 02 Feb 2019 15:25:03 +0000

sagetex (3.2+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 10 Jan 2019 15:22:18 +0000
