## sagetex 3.2+ds

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: sagetex
 Section: tex
-Priority: extra
+Priority: optional
 Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  dh-python, python,
+ python-tk,
  tex-common,
  texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-pictures,
  sagemath, python-pyparsing
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.7
+Standards-Version: 4.3.0
 Homepage: https://github.com/dandrake/sagetex
-Vcs-Git: https://anonscm.debian.org/git/debian-tex/sagetex.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-tex/sagetex.git
+Vcs-Git: https://salsa.debian.org/tex-team/sagetex.git
+Vcs-Browser: https://salsa.debian.org/tex-team/sagetex
 
 Package: sagetex
 Architecture: all
@@ -35,7 +35,7 @@
 Package: python-sagetex
 Section: python
 Architecture: all
-Depends: sagemath, ${python:Depends}, ${misc:Depends}
+Depends: sagemath, python-tk, ${python:Depends}, ${misc:Depends}
 Recommends: sagetex (= ${source:Version})
 Suggests: sagetex-doc (= ${source:Version})
 Description: Embed Sage code and plots into LaTeX -- Python
