=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
+include /usr/share/dpkg/pkg-info.mk
+## the time-related TeX primitives are used in example.tex
+## which served as test and whose PDF output is distributed
+## -- see pdftex(1) for details.
+export FORCE_SOURCE_DATE=1
 
-DEB_PYTHON_VERSION ?= $(shell python -c "import sys; print '%d.%d'%(sys.version_info[0],sys.version_info[1])")
+DEB_PYTHON_VERSION ?= $(shell python2 -c "import sys; print '%d.%d'%(sys.version_info[0],sys.version_info[1])")
 
 UPS_DOCSTRIP_INS ?= sagetex.ins
 DEB_DTX_DOCSTRIP_CFG_IN ?= debian/docstrip.cfg.in
@@ -33,18 +38,26 @@
 	$(if $(DEB_DTX_LISTOF_TDS_USEDIR_SCRIPTS),\
 		chmod -vf 0755 $(addsuffix /*.py,$(addprefix $(DEB_TDS_BASEDIRECTORY)/,$(DEB_DTX_LISTOF_TDS_USEDIR_SCRIPTS))),@true)
 
-DEB_DH_AUTO_TEST_DOT_SAGE = _test/DOT_SAGE
+DEB_DH_AUTO_TEST_MAXIMA_USERDIR = $(CURDIR)/_test/MAXIMA_USERDIR
+DEB_DH_AUTO_TEST_MPLCONFIGDIR = $(CURDIR)/_test/MPLCONFIGDIR
+DEB_DH_AUTO_TEST_DOT_SAGE = $(CURDIR)/_test/DOT_SAGE
 DEB_DH_AUTO_TEST_PKG_TEXINPUTS = $(subst $(EMPTY),:,$(addprefix $(DEB_TDS_BASEDIRECTORY)/,$(DEB_DTX_LISTOF_TDS_USEDIR_TEX)))
 DEB_DH_AUTO_TEST_PKG_PYTHONPATH = $(subst $(EMPTY),:,$(DEB_DTX_LISTOF_DECLAREDIR))
 DEB_DH_AUTO_TEST_MAKEFLAGS = TEXOPTS="$(DEB_TEX_OPTS)" TEXINPUTS=".:$(DEB_DH_AUTO_TEST_PKG_TEXINPUTS):$(dir $(DEB_DTX_DOCSTRIP_CFG)):"
 DEB_DH_AUTO_TEST_MAKEFLAGS += PYTHONPATH=$(DEB_DH_AUTO_TEST_PKG_PYTHONPATH)
 DEB_DH_AUTO_TEST_MAKEFLAGS += VPATH=$(DEB_DH_AUTO_TEST_PKG_TEXINPUTS):$(DEB_DH_AUTO_TEST_PKG_PYTHONPATH)
 DEB_DH_AUTO_TEST_MAKEFLAGS += DOT_SAGE=$(DEB_DH_AUTO_TEST_DOT_SAGE)
+DEB_DH_AUTO_TEST_MAKEFLAGS += MPLCONFIGDIR=$(DEB_DH_AUTO_TEST_MPLCONFIGDIR)
+DEB_DH_AUTO_TEST_MAKEFLAGS += MAXIMA_USERDIR=$(DEB_DH_AUTO_TEST_MAXIMA_USERDIR)
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MKDIR_P) $(DEB_DH_AUTO_TEST_MAXIMA_USERDIR)
+	$(MKDIR_P) $(DEB_DH_AUTO_TEST_MPLCONFIGDIR)
 	$(MKDIR_P) $(DEB_DH_AUTO_TEST_DOT_SAGE)
 	chmod -vf 0700 $(DEB_DH_AUTO_TEST_DOT_SAGE)
 	$(MAKE) sagetex.pdf $(DEB_DH_AUTO_TEST_MAKEFLAGS)
 	$(MAKE) example.pdf $(DEB_DH_AUTO_TEST_MAKEFLAGS)
+endif
 
 override_dh_auto_install:
 	@true
@@ -52,17 +65,11 @@
 override_dh_install:
 	dh_install --sourcedir=_build/DEBIAN
 
-override_dh_installdocs:
-	dh_installdocs --all debian/README.Debian
-
 override_dh_compress:
 	dh_compress -X.pdf -Xexamples
 
 override_dh_auto_clean:
 	$(MAKE) clean
-
-get-orig-source:
-	uscan --no-conf --download-current-version --compression xz --verbose
 
 get-info:
 	@echo "DEB_PYTHON_VERSION:         >$(DEB_PYTHON_VERSION)<"
