## sagetex 3.3+ds

=== debian/changelog ===
sagetex (3.3+ds-5) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Conflicts/Replaces python-sagetex (Closes: #940274)

  [ Jerome Benoit ]
  * Debianization:
    - debian/control:
      - Rules-Requires-Root field, introduce and set to no.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 26 Sep 2019 17:13:07 +0000

sagetex (3.3+ds-4) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - debian/control:
      - Depends fields, sagemath, bump to 8.9~beta9 (aka Python 3 version);
    - debian/patches/*:
      - d/p/upstream-python3-example_tex.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 14 Sep 2019 09:03:04 +0000

sagetex (3.3+ds-3) experimental; urgency=medium

  * Debianization: migration to Python 3 (Closes: #938429).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 13 Sep 2019 05:15:08 +0000

sagetex (3.3+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - debian/control:
      - debhelper, bump to 12;
      - Standards Version, bump to 4.4.0 (no change);
    - debian/compat, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 06 Sep 2019 18:30:57 +0000

sagetex (3.3+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/sagetex-doc.links, add example.tex ;
    - debian/sagetex-doc.docs, update.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 21 Jun 2019 09:07:32 +0000
