=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Debian Tex Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 12),
- dh-python, python,
- python-tk,
+ debhelper-compat (= 12),
+ dh-python, python3,
+ python3-tk,
  tex-common,
  texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-pictures,
- sagemath, python-pyparsing
-Standards-Version: 4.3.0
+ sagemath (>= 8.9~beta9), python3-pyparsing
+Standards-Version: 4.4.0
 Homepage: https://github.com/dandrake/sagetex
 Vcs-Git: https://salsa.debian.org/tex-team/sagetex.git
 Vcs-Browser: https://salsa.debian.org/tex-team/sagetex
@@ -22,7 +23,7 @@
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
  texlive-pictures, texlive-font-utils,
  imagemagick,
- python-sagetex (= ${source:Version}),
+ python3-sagetex (= ${source:Version}),
  ${misc:Depends}
 Suggests: sagetex-doc (= ${source:Version})
 Description: Embed Sage code and plots into LaTeX
@@ -32,18 +33,20 @@
  .
  This package provides the LaTeX package.
 
-Package: python-sagetex
+Package: python3-sagetex
 Section: python
 Architecture: all
-Depends: sagemath, python-tk, ${python:Depends}, ${misc:Depends}
+Depends: sagemath (>= 8.9~beta9), python3-tk, ${python3:Depends}, ${misc:Depends}
+Replaces: python-sagetex
+Conflicts: python-sagetex
 Recommends: sagetex (= ${source:Version})
 Suggests: sagetex-doc (= ${source:Version})
-Description: Embed Sage code and plots into LaTeX -- Python
+Description: Embed Sage code and plots into LaTeX -- Python 3
  The SageTeX LaTeX package allows you to embed code, results of computations,
  and plots from the SageMath mathematics software suite into LaTeX documents.
  SageMath is an open-source Computer Algebra System (CAS).
  .
- This package provides the Python material that interact with SageMath.
+ This package provides the Python 3 material that interact with SageMath.
 
 Package: sagetex-doc
 Section: doc
