## sagetex 3.4+ds

=== debian/changelog ===
sagetex (3.4+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 4.4.1 (no change);
    - debian/patches/*:
      - d/p/upstream-python3-example_tex.patch , integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 23 Nov 2019 07:38:45 +0000
