=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-pictures,
  sagemath (>= 8.9~beta9), python3-pyparsing
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/dandrake/sagetex
 Vcs-Git: https://salsa.debian.org/tex-team/sagetex.git
 Vcs-Browser: https://salsa.debian.org/tex-team/sagetex
