=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ## -- see pdftex(1) for details.
 export FORCE_SOURCE_DATE=1
 
-DEB_PYTHON_VERSION ?= $(shell python2 -c "import sys; print '%d.%d'%(sys.version_info[0],sys.version_info[1])")
+DEB_PYTHON_VERSION ?= $(shell python3 -c "import sys; print( '%d.%d' %(sys.version_info[0],sys.version_info[1]) )")
 
 UPS_DOCSTRIP_INS ?= sagetex.ins
 DEB_DTX_DOCSTRIP_CFG_IN ?= debian/docstrip.cfg.in
@@ -25,7 +25,7 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with tex --with python2
+	dh $@ --with tex --with python3
 
 override_dh_auto_build:
 	$(MKDIR_P) $(dir $(DEB_DTX_DOCSTRIP_CFG))
