=== debian/changelog ===
sagetex (3.5+ds-2) unstable; urgency=medium

  * Debianization:
    - d/t/control:
      - Architecture field, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 26 Nov 2020 12:53:22 +0000

sagetex (3.5+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 25 Nov 2020 14:02:44 +0000

sagetex (3.4+ds-3) unstable; urgency=low

  [ Jerome Benoit ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Bump debhelper to 13, no changes needed.
  * Update d/*.lintian-overrides.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 24 Nov 2020 11:14:16 +0000

sagetex (3.4+ds-2) unstable; urgency=medium

  * FTBFS fix, temporarily discard tkz-berge support (Closes: #960143);
    thanks to Hilmar Preuße <hille42@web.de> for isolating the issue.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 11 May 2020 06:52:53 +0000
