=== debian/tests/control ===
Tests: compose-examples
Architecture: !ppc64el !s390x
Depends: sagetex, sagetex-doc
Restrictions: allow-stderr
