## sagetex 3.6%2Bds

=== debian/changelog ===
sagetex (3.6+ds-2) unstable; urgency=medium

  * FTBFS release fix, provide HOME (to please sbuild).
  * Debianization:
    - d/rules, furnish HOME (see above);
    - d/clean, refresh (see above).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 06 Feb 2022 13:05:51 +0000

sagetex (3.6+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/copyright:
      - copyryght year tuples, update;
    - d/control:
      - Standards Version, bump to 4.6.0 (no change);
    - d/patches/*:
      - d/p/debianization.patch, refresh;
    - d/adhoc/examples/Makefile:
      - copyryght year tuple, update;
      - Debian Tean name, fix.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 05 Feb 2022 20:20:37 +0000
