## sagetex 3.6+ds

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,11 @@
 dtxs=$(wildcard *.dtx)
 # the subdir stuff makes the tarball have the directory correct
 srcs=example.tex README sagetex.ins
+pyscripts=sagetex-run sagetex-extract sagetex-makestatic sagetex-remote
 
 .SUFFIXES:
 
-all: sagetex.sty sagetex.py example.pdf $(pkg).pdf
+all: sagetex.sty sagetex.py $(pyscripts) $(pkg).pdf example.pdf
 
 # just depend on the .ind file, since we'll make the .gls and .ind together;
 # TEXOPTS is used by spkg-install to specify nonstopmode when building docs
@@ -35,14 +36,18 @@
 sagetex.py: py-and-sty.dtx $(pkg).dtx
 	yes | latex $(TEXOPTS) $(pkg).ins
 
-remote-sagetex.py: remote-sagetex.dtx
+sagetex-remote.py: remote-sagetex.dtx
 	yes | latex $(TEXOPTS) $(pkg).ins
 
-run-sagetex-if-necessary.py makestatic.py extractsagecode.py sagetexparse.py: scripts.dtx
+sagetex-run.py sagetex-extract.py sagetex-makestatic.py sagetexparse.py: scripts.dtx
 	yes | latex $(TEXOPTS) $(pkg).ins
 
+%: %.py
+	cp -f $< $@
+	chmod +x $@
+
 clean: auxclean
-	rm -fr sage-plots-for-* E2.sobj *.pyc sagetex.tar.gz sagetex.py sagetex.pyc sagetex.sty makestatic.py sagetexparse.py extractsagecode.py dist MANIFEST remote-sagetex.py auto *_doctest.sage *_doctest.sage.py example-*.table run-sagetex-if-necessary.py __pycache__
+	rm -fr sage-plots-for-* E2.sobj *.pyc sagetex.tar.gz sagetex.py sagetexparse.py $(pyscripts) $(addsuffix .py,$(pyscripts)) sagetex.sty dist MANIFEST remote-sagetex.py auto *_doctest.sage *_doctest.sage.py example-*.table __pycache__
 
 auxclean:
 	/bin/bash -c "rm -f {$(pkg),example}.{glo,gls,aux,out,toc,dvi,pdf,ps,log,ilg,ind,idx,fdb_latexmk,sagetex.*}"
@@ -54,5 +59,5 @@
 	./test
 
 # make a source distribution, used for building the spkg
-dist: sagetex.sty
+dist: sagetex.sty $(pypkg) $(pyscripts)
 	python setup.py sdist --formats=gztar
