=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python, python3,
  python3-tk,
  tex-common,
  texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-pictures,
- sagemath (>= 8.9~beta9), python3-pyparsing
-Standards-Version: 4.4.1
+ sagemath (>= 9.4), python3-pyparsing
+Standards-Version: 4.6.0
 Homepage: https://github.com/dandrake/sagetex
 Vcs-Git: https://salsa.debian.org/tex-team/sagetex.git
 Vcs-Browser: https://salsa.debian.org/tex-team/sagetex
