## sagetex 3.6.1+ds

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 %.ind: $(dtxs)
 	latex $(TEXOPTS) $(pkg).dtx
-	sed -e 's/usage|hyperpage/usagehyperpage/g' -i sagetex.idx
+	sed -e 's/usage|hyperpage/usagehyperpage/g' -i.bak sagetex.idx
 	makeindex -s gglo.ist -o $(pkg).gls $(pkg).glo
 	makeindex -s gind.ist -o $(pkg).ind $(pkg).idx
 
@@ -59,5 +59,5 @@
 	./test
 
 # make a source distribution, used for building the spkg
-dist: sagetex.sty $(pypkg) $(pyscripts)
+dist: sagetex.sty $(pypkg) $(pyscripts) $(pkg).pdf example.pdf
 	python setup.py sdist --formats=gztar
