=== debian/changelog ===
sagetex (3.6.1+ds-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-Makefile-auxclean.patch, introduce;
    - d/clean:
      - add `sagetex.hd` (fix by introduced patch);
    - d/control:
      - Standards Version, bump to 4.6.1 (no change);
    - d/s/lintian-overrides, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 10 Sep 2022 21:45:36 +0000
