=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/pkg-info.mk
+## sage throught sage-env needs an existing HOME repository.
+export HOME=$(CURDIR)/_home
 ## the time-related TeX primitives are used in example.tex
 ## which served as test and whose PDF output is distributed
 ## -- see pdftex(1) for details.
@@ -28,6 +30,7 @@
 	dh $@ --with tex --with python3
 
 override_dh_auto_build:
+	$(MKDIR_P) $(HOME)
 	$(MKDIR_P) $(dir $(DEB_DTX_DOCSTRIP_CFG))
 	$(MKDIR_P) $(DEB_TDS_BASEDIRECTORY)
 	$(MKDIR_P) $(DEB_DTX_LISTOF_DECLAREDIR)
@@ -51,6 +54,7 @@
 DEB_DH_AUTO_TEST_MAKEFLAGS += MAXIMA_USERDIR=$(DEB_DH_AUTO_TEST_MAXIMA_USERDIR)
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MKDIR_P) $(HOME)
 	$(MKDIR_P) $(DEB_DH_AUTO_TEST_MAXIMA_USERDIR)
 	$(MKDIR_P) $(DEB_DH_AUTO_TEST_MPLCONFIGDIR)
 	$(MKDIR_P) $(DEB_DH_AUTO_TEST_DOT_SAGE)
